package jp.hasc.hasctool.core.runtime.filter.file.message;

import jp.hasc.hasctool.core.runtime.RuntimeContext;
import jp.hasc.hasctool.core.runtime.filter.AbstractFilter;

/**
 * 前回と同じ内容のメッセージをフィルタリングします
 * @author hiro
 */
public class MessagePassFilter extends AbstractFilter{

	private String message_ = null;

	@Override
	public void setup(RuntimeContext context) {
		super.setup(context);
	}

	@Override
	public void processMessage(Object message) throws InterruptedException {
		if (message instanceof String) {
			String s =(String)message;
			if(!(s.equals(message_))){
				outputMessage(s);
				message_ = s;
			}
		}else{
			//BEGIN,END message
			outputMessage(message);
		}
	}
}
